%define Werror_cflags %nil

Name:           efax-gtk
Summary:        GTK2 front-end for efax
Version:        3.2.15
Release:        %mkrel 1
Group:          Communications/Fax
URL:            http://efax-gtk.sourceforge.net
License:        GPLv2
Source0:        http://downloads.sourceforge.net/efax-gtk/%{name}-%{version}.src.tgz

BuildRequires:  pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(c++-gtk-utils-3-2.2)

Requires:       ghostscript
Requires:       cups
Requires:       gv

%description
A GUI front-end for the efax fax program. 
It interfaces with efax directly, replacing the scripts supplied
with efax. It can be used for receiving and sending faxes, and for
viewing, printing, and managing faxes which have been received and sent.

%prep
%setup -q
# since users can't write to /var/lock
perl -p -i -e 's|/var/lock|/tmp||g' efax-gtkrc
# /dev/modem is quite common
perl -p -i -e 's|ttyS1|modem||g' efax-gtkrc

%build
%configure
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
perl -p -i -e 's/efax-gtk.png/efax-gtk/g' efax-gtk.desktop
%make_build

%install
%make_install

#menu
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --add-category="Telephony;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%post
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps

%files -f %{name}.lang
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_localstatedir}/spool/fax/*


%changelog
* Fri Jun 05 2020 barjac <barjac> 3.2.15-1.mga8
+ Revision: 1590610
- new version 3.2.15

* Mon Mar 09 2020 barjac <barjac> 3.2.14-1.mga8
+ Revision: 1555100
- new version 3.2.14

* Thu Feb 13 2020 umeabot <umeabot> 3.2.13-5.mga8
+ Revision: 1512082
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.2.13-4.mga7
+ Revision: 1297574
- Mageia 7 Mass Rebuild

* Thu Jul 21 2016 neoclust <neoclust> 3.2.13-3.mga6
+ Revision: 1042993
- Rebuild to make available on arm

* Fri Feb 19 2016 umeabot <umeabot> 3.2.13-2.mga6
+ Revision: 969901
- Mageia 6 Mass Rebuild

* Mon Sep 21 2015 barjac <barjac> 3.2.13-1.mga6
+ Revision: 882061
- new version 3.2.13

* Mon Aug 31 2015 cjw <cjw> 3.2.12-5.mga6
+ Revision: 871546
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.2.12-4.mga5
+ Revision: 743069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.12-3.mga5
+ Revision: 678966
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.12-2.mga4
+ Revision: 531769
- Mageia 4 Mass Rebuild
+ wally <wally>
- fix source URL

* Sat Aug 10 2013 barjac <barjac> 3.2.12-1.mga4
+ Revision: 465049
- new version
- changed build require
- removed un-needed require

* Fri Jan 11 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 349535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 3.2.11-1.mga3
+ Revision: 341270
- new version 3.2.11

* Fri Sep 28 2012 barjac <barjac> 3.2.9-2.mga3
+ Revision: 299044
- Changed group to new policy

* Tue Feb 14 2012 barjac <barjac> 3.2.9-1.mga2
+ Revision: 208964
- new version
- changed BuildRequires, Added Requires

* Fri Dec 23 2011 fwang <fwang> 3.2.8-2.mga2
+ Revision: 186505
- rebuild for new libtiff

* Sat Dec 03 2011 shlomif <shlomif> 3.2.8-1.mga2
+ Revision: 175558
- New version 3.2.8.

* Sat Nov 19 2011 barjac <barjac> 3.2.5-1.mga2
+ Revision: 169028
- Added BR dbus-glib-devel, corrected menu category
- imported package efax-gtk

